Autor Tópico: (Resolvido)Não consigo compilar,da sempre o mesmo erro,ultima versão xub e gcc  (Lida 1854 vezes)

Offline gatohumano

  • Usuário Ubuntu
  • *
  • Mensagens: 87
    • Ver perfil
root@amd64:/usr/src/linux# CONCURRENCY_LEVEL=2 make-kpkg --initrd  kernel_image kernel_headers modules_image kernel_source
exec make kpkg_version=13.018 -f /usr/share/kernel-package/ruleset/minimal.mk debian INITRD=YES
====== making target debian/stamp/conf/minimal_debian [new prereqs: ]======
This is kernel package version 13.018.
test -d debian             || mkdir debian
test ! -e stamp-building || rm -f stamp-building
install -p -m 755 /usr/share/kernel-package/rules debian/rules
for file in ChangeLog  Control  Control.bin86 config templates.in rules; do                                      \
            cp -f  /usr/share/kernel-package/$file ./debian/;                               \
        done
cp: impossível analisar '/usr/share/kernel-package/ChangeLog': Ficheiro ou directoria inexistente
for dir  in Config docs examples ruleset scripts pkg po;  do                                      \
          cp -af /usr/share/kernel-package/$dir  ./debian/;                                 \
        done
test -f debian/control || sed         -e 's/=V/4.8.0-pf4/g'  \
                -e 's/=D/4.8.0-pf4-10.00.Custom/g'         -e 's/=A/amd64/g'  \
   -e 's/=SA//g'  \
   -e 's/=I//g'                \
   -e 's/=CV/4.8/g'             \
   -e 's/=M/Unknown Kernel Package Maintainer <unknown@unconfigured.in.etc.kernel-pkg.conf>/g'             \
   -e 's/=ST/linux/g'      -e 's/=B/x86_64/g'    \
                -e 's/=R/initramfs-tools | linux-initramfs-tool,/g'    /usr/share/kernel-package/Control > debian/control
test -f debian/changelog ||  sed -e 's/=V/4.8.0-pf4/g'       \
            -e 's/=D/4.8.0-pf4-10.00.Custom/g'        -e 's/=A/amd64/g'       \
            -e 's/=ST/linux/g'     -e 's/=B/x86_64/g'         \
            -e 's/=M/Unknown Kernel Package Maintainer <unknown@unconfigured.in.etc.kernel-pkg.conf>/g'                            \
             /usr/share/kernel-package/changelog > debian/changelog
chmod 0644 debian/control debian/changelog
test -d ./debian/stamp || mkdir debian/stamp
make -f debian/rules debian/stamp/conf/kernel-conf
make[1]: Entering directory '/usr/src/linux-4.8-pf4'
====== making target debian/stamp/conf/kernel-conf [new prereqs: ]======
make    ARCH=x86_64 \
                    oldconfig;
make[2]: Entering directory '/usr/src/linux-4.8-pf4'
  HOSTCC  scripts/basic/bin2c
scripts/kconfig/conf  --oldconfig Kconfig
#
# configuration written to .config
#
make[2]: Leaving directory '/usr/src/linux-4.8-pf4'
make    ARCH=x86_64 prepare
make[2]: Entering directory '/usr/src/linux-4.8-pf4'
scripts/kconfig/conf  --silentoldconfig Kconfig
  SYSTBL  arch/x86/entry/syscalls/../../include/generated/asm/syscalls_32.h
  SYSHDR  arch/x86/entry/syscalls/../../include/generated/asm/unistd_32_ia32.h
  SYSHDR  arch/x86/entry/syscalls/../../include/generated/asm/unistd_64_x32.h
  SYSTBL  arch/x86/entry/syscalls/../../include/generated/asm/syscalls_64.h
  HYPERCALLS arch/x86/entry/syscalls/../../include/generated/asm/xen-hypercalls.h
  SYSHDR  arch/x86/entry/syscalls/../../include/generated/uapi/asm/unistd_32.h
  SYSHDR  arch/x86/entry/syscalls/../../include/generated/uapi/asm/unistd_64.h
  SYSHDR  arch/x86/entry/syscalls/../../include/generated/uapi/asm/unistd_x32.h
  HOSTCC  arch/x86/tools/relocs_32.o
  HOSTCC  arch/x86/tools/relocs_64.o
  HOSTCC  arch/x86/tools/relocs_common.o
  HOSTLD  arch/x86/tools/relocs
  CHK     include/config/kernel.release
  UPD     include/config/kernel.release
Cannot use CONFIG_CC_STACKPROTECTOR_STRONG: -fstack-protector-strong not supported by compiler
Makefile:1048: recipe for target 'prepare-compiler-check' failed
make[2]: *** [prepare-compiler-check] Error 1
make[2]: Leaving directory '/usr/src/linux-4.8-pf4'
debian/ruleset/targets/common.mk:194: recipe for target 'debian/stamp/conf/kernel-conf' failed
make[1]: *** [debian/stamp/conf/kernel-conf] Error 2
make[1]: Leaving directory '/usr/src/linux-4.8-pf4'
/usr/share/kernel-package/ruleset/minimal.mk:93: recipe for target 'debian/stamp/conf/minimal_debian' failed
make: *** [debian/stamp/conf/minimal_debian] Error 2
Failed to create a ./debian directory: No such file or directory at /usr/bin/make-kpkg line 970.
« Última modificação: 31 de Outubro de 2016, 08:15 por gatohumano »

Offline Felix

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 3.017
    • Ver perfil
    • Alexsandro Felix
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #1 Online: 25 de Outubro de 2016, 09:44 »
E o que você está tentando compilar?
Você instalou o pacote build-essentials?
Instalou os headers do kernel?

Offline gatohumano

  • Usuário Ubuntu
  • *
  • Mensagens: 87
    • Ver perfil
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #2 Online: 25 de Outubro de 2016, 19:59 »
sim tenho os pacotes todos necessarios e o source do kernel,estou a tentar compilar o kernel,este problema aparece-me desde que tenho o gcc 6,penso que tera a ver com isto,ja tentei instalar um mais antigo mas não consigo desinstalar o 6.

Offline Felix

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 3.017
    • Ver perfil
    • Alexsandro Felix
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #3 Online: 26 de Outubro de 2016, 10:49 »
Mas este erro ocorre somente ao tentar compilar o kernel ou também se tentar compilar algum software?

Offline gatohumano

  • Usuário Ubuntu
  • *
  • Mensagens: 87
    • Ver perfil
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #4 Online: 26 de Outubro de 2016, 12:38 »
Só costumo compilar o kernel,outros softwares nunca tentei.

Offline creto

  • Expectador
  • Usuário Ubuntu
  • *
  • Mensagens: 294
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #5 Online: 26 de Outubro de 2016, 23:34 »
Está usando qual versão do Ubuntu? 16.04, 16.10?

T+
Perguntas-me qual foi o meu progresso? Comecei a ser amigo de mim mesmo. (Lúcio Aneu Séneca)
Blog do Creto - Teste Blog do Creto

Offline gatohumano

  • Usuário Ubuntu
  • *
  • Mensagens: 87
    • Ver perfil
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #6 Online: 27 de Outubro de 2016, 00:58 »
16.10

Offline creto

  • Expectador
  • Usuário Ubuntu
  • *
  • Mensagens: 294
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #7 Online: 28 de Outubro de 2016, 17:49 »
16.10
Pois é, essas versões ".10".

Tenta adicionar uma linha do repositório do 14.04 e instalar o gcc por ela já que você acha que é ele o culpado do erro, depois é só tentar de novo

T+
Perguntas-me qual foi o meu progresso? Comecei a ser amigo de mim mesmo. (Lúcio Aneu Séneca)
Blog do Creto - Teste Blog do Creto

Offline gatohumano

  • Usuário Ubuntu
  • *
  • Mensagens: 87
    • Ver perfil
Re:Não consigo compilar,da sempre o mesmo erro,ultima versão xubuntu e do gcc
« Resposta #8 Online: 31 de Outubro de 2016, 08:14 »
Problema resolvido,instalei o gcc 4.9 o 6 não da para remover mas consegui por o 4.9 como default atraves da ajuda deste site:  https://codeyarns.com/2015/02/26/how-to-switch-gcc-version-using-update-alternatives/